<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductionWeightReportsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('qc_production_weight_reports', function (Blueprint $table) {
            $table->id('pwr_data_id');
            $table->integer('pwr_id');
            $table->integer('hour');
            $table->integer('sample_no');
            $table->integer('ob1');
            $table->integer('ob2');
            $table->integer('ob3');
            $table->integer('ob4');
            $table->integer('ob5');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('qc_production_weight_reports');
    }
}
