var action = "save";
var pallatizing_id = "";
var tableData = undefined;
$(document).ready(function () {
    tableData = $("#tblData").transactionTable({
        thead: [
            "PD",
            "RCL",
            "L1",
            "L2",
            "L3",
            "L4",
            "L5",
            "L6",
            "L7",
            "L8",
            "L9",
            "L10",
            "L11",
            "L12",
            "L13",
            "TO",
            "WI",
            "LE",
            "HE",
            "WE",
            "LN",
        ],
        column_def: { 0: 100 },
        auto_focus: 0,
        row_type: [
            { type: "date", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left", disabled: "disabled" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "remove", value: "X", align: "right" },
        ],
    });

    getOrderNo();
    getProductPrimaryId();
    getFactoryData();

    if (window.location.search.length > 0) {
        var sPageURL = window.location.search.substring(1);
        var param = sPageURL.split("?");
        pallatizing_id = param[0].split("=")[1].split("&")[0];
        action = param[0].split("=")[2].split("&")[0];
        getPdData(pallatizing_id);
        if (action == "edit") {
            $("#btnSave").text("Update");
        } else if (action == "view") {
            $("#btnSave").hide();
            $("#addRowBtn").hide();
            $("#reference_no").prop("disabled", true);
            $("#product_primary_id").prop("disabled", true);
            $("#customer_order_plan_data_id").prop("disabled", true);
            $("#date").prop("disabled", true);
            $("#factory").prop("disabled", true);
        }
    } else {
        tableData.add_empty_row();
    }

    $("#btnSave").on("click", function () {
        if ($(this).text() == "Save") {
            savePdRecord();
        } else {
            updatePdRecords(pallatizing_id);
        }
    });

});

function addEmptyRow() {
    tableData.add_empty_row();
}

function getFactoryData() {
    $.ajax({
        type: "GET",
        url: "/qc/SupervisorCheckListDataController/getFactoryData",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            var res = response.data.result;
            console.log(res);
            for (var i = 0; i < res.length; i++) {
                $("#factory").append(
                    '<option value="' +
                    res[i].site_id +
                    '">' +
                    res[i].site +
                    "</option>"
                );
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () { },
    });
}

function getOrderNo() {
    $.ajax({
        type: "GET",
        url: "/qc/DamageCheckingRecordsHeaderController/getOrderNo",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            var res = response.data.result;
            console.log(res);
            for (var i = 0; i < res.length; i++) {
                $("#customer_order_plan_data_id").append(
                    '<option value="' +
                    res[i].customer_order_plan_data_id +
                    '">' +
                    res[i].factory_po_num + " - " +
                    res[i].product_name +
                    "</option>"
                );
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () { },
    });
}

function getProductPrimaryId() {
    $.ajax({
        type: "GET",
        url: "/qc/DamageCheckingRecordsHeaderController/getProductPrimaryId",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            var res = response.data.result;
            for (var i = 0; i < res.length; i++) {
                $("#product_primary_id").append(
                    '<option value="' +
                    res[i].product_primary_id +
                    '">' +
                    res[i].product_name +
                    "</option>"
                );
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () { },
    });
}

function savePdRecord() {
    var pd_data = {};
    var pd_data_arr = tableData.dataSource();
    if (pd_data_arr.length == 0) {
        showWarningMessage("Invalid data!");
        return;
    }
    for (var i = 0; i < pd_data_arr.length; i++) {
        if (!pd_data_arr[i][0]) {
            showWarningMessage("You shuld fill empty row in The list");
            return;
        }
        pd_data[i] = JSON.stringify({
            pallatize_date: pd_data_arr[i][0],
            rcl_no: pd_data_arr[i][1],
            l1_qty: pd_data_arr[i][2],
            l2_qty: pd_data_arr[i][3],
            l3_qty: pd_data_arr[i][4],
            l4_qty: pd_data_arr[i][5],
            l5_qty: pd_data_arr[i][6],
            l6_qty: pd_data_arr[i][7],
            l7_qty: pd_data_arr[i][8],
            l8_qty: pd_data_arr[i][9],
            l9_qty: pd_data_arr[i][10],
            l10_qty: pd_data_arr[i][11],
            l11_qty: pd_data_arr[i][12],
            l12_qty: pd_data_arr[i][13],
            l13_qty: pd_data_arr[i][14],
            width: pd_data_arr[i][16],
            length: pd_data_arr[i][17],
            height: pd_data_arr[i][18],
            weight: pd_data_arr[i][19],
            label_no: pd_data_arr[i][20],
        });
    }

    swal({
        title: "Are you sure want to approve",
        icon: "warning",
        buttons: {
            confirm: {
                text: "Yes",
                visible: true,
                value: true,
                className: "btn btn-primary",
                closeModal: true,
            },
            cancel: {
                text: "No",
                visible: true,
                value: false,
                className: "btn btn-danger",
                closeModal: true,
            }
        }
    }).then((value) => {
        if (value == true) {
            $.ajax({
                type: "POST",
                url: "/qc/PallatizingDetailsDataController/save",
                data: {
                    reference_no: $("#reference_no").val(),
                    date: $("#date").val(),
                    customer_order_plan_data_id: $(
                        "#customer_order_plan_data_id"
                    ).val(),
                    product_primary_id: $("#product_primary_id").val(),
                    factory: $("#factory").val(),
                    pd_data: pd_data,
                },
                headers: {
                    "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                },
                timeout: 800000,
                beforeSend: function () { },
                success: function (response) {
                    console.log(response);
                    if (response.data.success) {
                        toastr.success("data saved");
                        $("#tblData")
                            .find("input[type=text], select")
                            .each(function () {
                                $(this).val("");
                            });

                        $("#tblData")
                            .find("input[type=date]")
                            .each(function () {
                                $(this).val('yyyy-MM-dd');
                            });

                        $("#reference_no").val("");
                        $("#product_primary_id").val("");
                        $("#customer_order_plan_data_id").val("");
                        $("#date").val("");
                        $("#factory").val("");
                        getOrderNo();
                        getProductPrimaryId();
                        getFactoryData();
                    } else {
                        showErrorMessage();
                    }
                },
                error: function (error) {
                    console.log(error);
                    toastr.error("Something went wrong");
                },
                complete: function () { },
            });
        }
    });


}

function getPdData(id) {
    $.ajax({
        type: "GET",
        url: "/qc/PallatizingDetailsDataController/getPdData/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            // progress(true);
        },
        success: function (response) {
            var res = response.data.result;
            $("#reference_no").val(res.reference_no);
            $("#date").val(res.date);
            $("#customer_order_plan_data_id").val(
                res.customer_order_plan_data_id
            );
            $("#product_primary_id").val(res.product_primary_id);
            $("#factory").val(res.factory);

            var request_data = res.request_data;
            for (var i = 0; i < request_data.length; i++) {
                tableData.addRow([
                    {
                        type: "date",
                        val: request_data[i].pallatize_date,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].rcl_no,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l1_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l2_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l3_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l4_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l5_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l6_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l7_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l8_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l9_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l10_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l11_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l12_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].l13_qty,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].total,
                        align: "left",
                        disabled: "disabled",
                    },
                    {
                        type: "text",
                        val: request_data[i].width,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].length,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].height,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].weight,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].label_no,
                        align: "left",
                    },
                    {
                        type: "remove",
                        val: "X",
                        align: "center",
                    },
                ]);
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {
            // progress(false);
        },
    });
}

function updatePdRecords(pallatizing_id) {
    var pd_data = {};
    var pd_data_arr = tableData.dataSource();
    if (pd_data_arr.length == 0) {
        showWarningMessage("Invalied Data");
        return;
    }
    for (var i = 0; i < pd_data_arr.length; i++) {
        if (!pd_data_arr[i][0]) {
            showWarningMessage("You shuld fill empty row in The list");
            return;
        }
        pd_data[i] = JSON.stringify({
            pallatize_date: pd_data_arr[i][0],
            rcl_no: pd_data_arr[i][1],
            l1_qty: pd_data_arr[i][2],
            l2_qty: pd_data_arr[i][3],
            l3_qty: pd_data_arr[i][4],
            l4_qty: pd_data_arr[i][5],
            l5_qty: pd_data_arr[i][6],
            l6_qty: pd_data_arr[i][7],
            l7_qty: pd_data_arr[i][8],
            l8_qty: pd_data_arr[i][9],
            l9_qty: pd_data_arr[i][10],
            l10_qty: pd_data_arr[i][11],
            l11_qty: pd_data_arr[i][12],
            l12_qty: pd_data_arr[i][13],
            l13_qty: pd_data_arr[i][14],
            width: pd_data_arr[i][16],
            length: pd_data_arr[i][17],
            height: pd_data_arr[i][18],
            weight: pd_data_arr[i][19],
            label_no: pd_data_arr[i][20],
        });
    }

    swal({
        title: "Are you sure want to approve",
        icon: "warning",
        buttons: {
            confirm: {
                text: "Yes",
                visible: true,
                value: true,
                className: "btn btn-primary",
                closeModal: true,
            },
            cancel: {
                text: "No",
                visible: true,
                value: false,
                className: "btn btn-danger",
                closeModal: true,
            }
        }
    }).then((value) => {
        if (value == true) {
            $.ajax({
                type: "PUT",
                url: "/qc/PallatizingDetailsDataController/update/" + pallatizing_id,
                data: {
                    reference_no: $("#reference_no").val(),
                    date: $("#date").val(),
                    customer_order_plan_data_id: $(
                        "#customer_order_plan_data_id"
                    ).val(),
                    product_primary_id: $("#product_primary_id").val(),
                    factory: $("#factory").val(),
                    pd_data: pd_data,
                },
                headers: {
                    "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                },
                timeout: 800000,
                beforeSend: function () { },
                success: function (response) {
                    console.log(response);
                    if (response.data.success) {
                        toastr.success("data updated");
                        location.href = "/qc/pallatizingDetailsList";
                    } else {
                        showErrorMessage();
                    }
                },
                error: function (error) {
                    console.log(error);
                    toastr.error("Something went wrong");
                },
                complete: function () { },
            });
        }
    });

}

function triggerRowInputs(id, selected_row) {
    if (id == "tblData") {
        var cells = selected_row.getElementsByTagName("td");
        var l1 = $("#" + cells[2].childNodes[0].id);
        var l2 = $("#" + cells[3].childNodes[0].id);
        var l3 = $("#" + cells[4].childNodes[0].id);
        var l4 = $("#" + cells[5].childNodes[0].id);
        var l5 = $("#" + cells[6].childNodes[0].id);
        var l6 = $("#" + cells[7].childNodes[0].id);
        var l7 = $("#" + cells[8].childNodes[0].id);
        var l8 = $("#" + cells[9].childNodes[0].id);
        var l9 = $("#" + cells[10].childNodes[0].id);
        var l10 = $("#" + cells[11].childNodes[0].id);
        var l11 = $("#" + cells[12].childNodes[0].id);
        var l12 = $("#" + cells[13].childNodes[0].id);
        var l13 = $("#" + cells[14].childNodes[0].id);

        var input_arr = [l1, l2, l3, l4, l5, l6, l7, l8, l9, l10, l11, l12, l13];

        input_arr.forEach((input) => {
            input.on("input", function () {
                var val_l1 = parseFloat(l1.val()) || 0;
                var val_l2 = parseFloat(l2.val()) || 0;
                var val_l3 = parseFloat(l3.val()) || 0;
                var val_l4 = parseFloat(l4.val()) || 0;
                var val_l5 = parseFloat(l5.val()) || 0;
                var val_l6 = parseFloat(l6.val()) || 0;
                var val_l7 = parseFloat(l7.val()) || 0;
                var val_l8 = parseFloat(l8.val()) || 0;
                var val_l9 = parseFloat(l9.val()) || 0;
                var val_l10 = parseFloat(l10.val()) || 0;
                var val_l11 = parseFloat(l11.val()) || 0;
                var val_l12 = parseFloat(l12.val()) || 0;
                var val_l13 = parseFloat(l13.val()) || 0;

                var total = val_l1 + val_l2 + val_l3 + val_l4 + val_l5 + val_l6 + val_l7 + val_l8 + val_l9 + val_l10 + val_l11 + val_l12 + val_l13;
                $("#" + cells[15].childNodes[0].id).val(total);
            });
        });
    }
}

function transactionTableUpdate(table_id) {
    // override function from transaction_table.js
}

/**
 * showSuccessMessage
 * This function is used to show success message.
 * @param message This is the paramter to require message content
 */
function showSuccessMessage(message) {
    toastr.success(message);
}

/**
 * showWarningMessage
 * This function is used to show warning message.
 * @param message This is the paramter to require message content
 */
function showWarningMessage(message) {
    toastr.warning(message);
}

/**
 * showErrorMessage
 * This function is used to show error message.
 * @param message This is the paramter to require message content
 */
function showErrorMessage() {
    toastr.error("Something went wrong");
}
